> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Decimal To Dms

> Convert decimal degrees to DMS (degrees, minutes, seconds).



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/geo/decimal-to-dms
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/geo/decimal-to-dms:
    get:
      tags:
        - Geolocation Utilities
      summary: Decimal To Dms
      description: Convert decimal degrees to DMS (degrees, minutes, seconds).
      operationId: decimal_to_dms_v1_geo_decimal_to_dms_get
      parameters:
        - name: decimal
          in: query
          required: true
          schema:
            type: number
            description: Decimal degrees
            title: Decimal
          description: Decimal degrees
        - name: coordinate_type
          in: query
          required: true
          schema:
            type: string
            description: 'Type: lat or lon'
            title: Coordinate Type
          description: 'Type: lat or lon'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````